/*
 * File: lock.if
 * Description: implements different lock algorithms
 */

#ifndef _LOCK_IF_H_
#define _LOCK_IF_H_

#include "utils.h"

#if defined(LOCKTYPE)
typedef uint32_t ptlock_t;	/* change the type accorind to the lock you want to use */
#  define INIT_LOCK(lock)				lock_init((lock)
#  define DESTROY_LOCK(lock)			        lock_destroy(lock)
#  define LOCK(lock)					lock_lock(lock)
#  define UNLOCK(lock)					lock_unlock(lock)

static inline void
lock_init(volatile uint32_t* l)
{
}

static inline void
lock_destroy(volatile uint32_t* l)
{
}

static inline uint32_t
lock_lock(volatile uint32_t* l)
{
  return 0;
}

static inline uint32_t
lock_unlock(volatile uint32_t* l)
{
  return 0;
}

#else			   /* not defined LOCK */
typedef uint32_t ptlock_t;	/* change the type accorind to the lock you want to use */
#  define INIT_LOCK(lock)			
#  define DESTROY_LOCK(lock)			
#  define LOCK(lock)					
#  define UNLOCK(lock)					

#endif

#endif	/* _LOCK_IF_H_ */
